Download it now!
Bug 56976 - FILESAVE pptx glitches when saving up arrow
Summary: FILESAVE pptx glitches when saving up arrow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: high major
Assignee: Lennard Wasserthal
URL:
Whiteboard: target:4.1.0 target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-11 11:44 UTC by Lennard Wasserthal
Modified: 2013-08-15 20:02 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lennard Wasserthal 2012-11-11 11:44:58 UTC
Start a new Presentation
Draw an Up Arrow.
save as pptx.
close. (besides, at the current master, sometimes crashes on close.)
open the file.
the up arrow is missing.
save.
close.
open the file. Where the up arrow was, there is a rectangle.
If there were other shapes, they turned into rectangles, too.


Reproducible in 3.5.4.2, (Version in Linux Mint Maya 13, 64 Bit)
also some similar windows version.
Comment 1 Rob Snelders 2012-11-12 19:23:04 UTC
I got the problem also with 3.7.0.0-alpha on Ubuntu 12.04 x86_64.
On 3.5.4 the arrow also dissapears but that stays away and doesn't become a rectangle.

Maybe something to do with fdo#56980?
Comment 2 Julien Nabet 2012-11-20 21:27:28 UTC
Rob: makes me think about fdo#57090 (https://bugs.freedesktop.org/show_bug.cgi?id=57090), would you have some time to confirm? (the commit was 2 days after your test).
Comment 3 Lennard Wasserthal 2012-12-16 14:36:32 UTC
Hi Radek


Should I take this issue?

Some entries for the upArrow are missing.
in the files:
source/export/shapes.cxx
source/export/presetShapeDefinitions.xml
source/drawingml/customshapepresets5.cxx:
The up Arrow file in /prog/libre/core/oox/source/drawingml/customshapes/ is also missing. (when you create it running the script)

I am adding the missing entries, but I don't know how to implement them into the program. I have to do some preprocessing

/prog/libre/core/oox/source/drawingml/customshapes/README

tells to run

SAL_LOG='+INFO+WARN' ./soffice /<my source directory>/pptx/cshape-all.pptx 2>& | tee /<my source directory/custom-shapes.log

but that is defective and if I omit that 2>& i get an empty log. 

Radek, do you know how this is supposed to be?
Comment 4 Lennard Wasserthal 2012-12-16 14:37:32 UTC
No, I KNOW how to implement them. I just forgot one file.
Then, have these scripts any use?
Comment 5 Not Assigned 2013-01-31 17:44:11 UTC
Lennard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9a18176d6b56119aa91699cd3aa102e36a7805c

fdo#56976 fixes up Arrow import bug



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Don't use this account, use tml@iki.fi 2013-08-15 13:49:50 UTC
Actually, that fix was quite wrong in one aspect: It edited the file oox/source/drawingml/customshapepresets4.cxx , which is a *generated* file... It says so at the top:

// this file was generated by: ./generatePresetsCXX.pl
// please do not edit

The right way to fix this would have been to look for a proper XML definition of upArrow to go into the oox/source/drawingml/customshapes/presetShapeDefinitions.xml . I found one at http://social.msdn.microsoft.com/Forums/en-US/73038923-5081-4591-9f50-088454ca9e27/probable-bug-with-updownarrowuparrow .

I am working on a bug related to custom shapes anyway right now so I will do it that way instead.
Comment 7 Don't use this account, use tml@iki.fi 2013-08-15 14:00:32 UTC
Ah, you had read that README file but apparently not followed it. That's OK, it was not really that easy to follow. I am editing it into hopefully better shape now, too. (At the same time I will make it actually into a shell script, so developers who know what they are doing can just run it after updating that xml file. Not that I know how often new custom shape definitions will be introduced...)
Comment 8 Commit Notification 2013-08-15 20:02:34 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14af57cc7a47195490815519b8a6b15c7e31bc75

fdo#56976: Remove duplicate upDownArrow and add upArrow definition



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.